Account

List wallet transactions

Lists every top-up, charge and refund on your wallet, newest first.

GET
/v1/wallet/ledger

Lists every top-up, charge and refund on your wallet, newest first.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Query Parameters

page?number

Page number, starting at 1.

Range1 <= value <= 2147483647
limit?number

Items per page, 1 to 100. Defaults to 10.

Range1 <= value <= 100

Response Body

A page of wallet transactions.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/wallet/ledger'
Example Response
{
  "docs": [
    {
      "id": "1bf9e9d4-98bb-4d95-b4e9-be4b75a01cb6",
      "type": "debit",
      "amount": "-0.04",
      "balanceAfter": "19.96",
      "reference": "send:msg_01M6MJSBV7KXZGYK5TZGGA0P6R",
      "description": "1 message",
      "adminId": null,
      "createdAt": "2026-11-05T00:47:20.427Z"
    }
  ],
  "totalDocs": 2,
  "limit": 2,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}